/*
 *   LADCCA
 *    
 *   Copyright (C) 2002 Robert Ham (node@users.sourceforge.net)
 *    
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __LADCCA_CONTROL_H__
#define __LADCCA_CONTROL_H__

#include <ladcca/ladcca.h>
#include <ladcca/list.h>

typedef struct _ladcca_control ladcca_control_t;

struct _ladcca_control {
  char * project;
  cca_client_t * client;
  cca_list_t * projects;
};

void ladcca_control_init (ladcca_control_t * control);
void ladcca_control_free (ladcca_control_t * control);

void ladcca_control_set_project (ladcca_control_t * control, const char * prompt);
void ladcca_control_set_client (ladcca_control_t * control, cca_client_t * client);

void ladcca_control_connect (ladcca_control_t * control);
void ladcca_control_main (ladcca_control_t * control);

#endif /* __LADCCA_CONTROL_H__ */
