/*
 *   LADCCA
 *    
 *   Copyright (C) 2002 Robert Ham (node@users.sourceforge.net)
 *    
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __LADCCA_LOADER_H__
#define __LADCCA_LOADER_H__

#include <ladcca/ladcca.h>

#include "client.h"

typedef struct _loader loader_t;

struct _loader
{
  int   server_socket;
  int   loader_socket;
  pid_t loader_pid;
  int   load_in_terms;
};

/* server-side functions */
loader_t * loader_create (int load_in_terms);
void       loader_close (loader_t * loader);
void       loader_destroy (loader_t * loader);
int        loader_fork (loader_t * loader);
void       loader_load (loader_t * loader, const cca_client_t * client);

#endif /* __LADCCA_LOADER_H__ */
